-----------------------------------
-- Execution: db2 -tvf app1.db2
-----------------------------------
-- Turn autocommit off 

UPDATE COMMAND OPTIONS USING C OFF;

-- Connect to sample database 

CONNECT TO SAMPLE;

-- Issue values statement to confirm client appl_name value 

VALUES(CURRENT CLIENT_APPLNAME);

-- Issue some DML statements

INSERT INTO SALES VALUES(CURRENT DATE, 'GOUNOT', 'Timbuktu', 123);

SELECT * FROM EMPLOYEE 
  FULL OUTER JOIN EMP_PHOTO ON EMPLOYEE.EMPNO = EMP_PHOTO.EMPNO 
  FULL OUTER JOIN EMP_RESUME ON EMPLOYEE.EMPNO = EMP_RESUME.EMPNO 
  FULL OUTER JOIN DEPARTMENT ON EMPLOYEE.WORKDEPT = DEPARTMENT.DEPTNO 
  FULL OUTER JOIN STAFF ON EMPLOYEE.SALARY = STAFF.SALARY 
  FULL OUTER JOIN PROJECT ON DEPARTMENT.DEPTNO = PROJECT.DEPTNO 
  FULL OUTER JOIN ORG ON DEPARTMENT.DEPTNAME = ORG.DEPTNAME 
  FULL OUTER JOIN SALES ON EMPLOYEE.LASTNAME = SALES.SALES_PERSON;

DELETE FROM SALES WHERE REGION = 'Timbuktu';

-- Let application remain idle

ECHO ================================================================;
ECHO Simulate an application idling while keeping connection alive...;
ECHO ================================================================;
